#ifndef CRenderer_h
#define CRenderer_h

class CVec3;
class CMatrix;

class CRenderer
{
public:
	CRenderer();
	int InitRenderWindow( HWND hWnd, int bStencil, int bDoubleBuffer );
	void Shutdown( );
	int IsInitialized();
	void BufferSwap( );
	void ClearBuffer( );
	
	void SetSize( int nWidth, int nHeight );
	void SetProjection( );
	
	void SetColor( float r, float g, float b );
	void SetMatrix( const CMatrix &M );

	static void DrawLine( const CVec3 &P1, const CVec3 &P2 );
	void DrawMesh( CVec3 *pVertices, unsigned int *pTris, int nTris );
	static void HighlightVert( const CVec3 &Vert );
		
private:
	int m_bInitialized;
	HDC m_hDC;
	HGLRC m_hGLRC;
	HWND m_hWnd;
	int m_nWidth, m_nHeight;
};

#endif